ext_to_acemode = {
    ".bsl": "text",
    ".os": "text",
    ".4dm": "text",
    ".abap": "abap",
    ".asddls": "text",
    ".abnf": "text",
    ".asc": "text",
    ".ash": "c_cpp",
    ".aidl": "text",
    ".al": "perl",
    ".ampl": "text",
    ".mod": "xml",
    ".g4": "text",
    ".apib": "markdown",
    ".apl": "text",
    ".dyalog": "text",
    ".asl": "text",
    ".dsl": "text",
    ".asn": "text",
    ".asn1": "text",
    ".asax": "text",
    ".ascx": "text",
    ".ashx": "text",
    ".asmx": "text",
    ".aspx": "text",
    ".axd": "text",
    ".dats": "ocaml",
    ".hats": "ocaml",
    ".sats": "ocaml",
    ".as": "text",
    ".adb": "ada",
    ".ada": "ada",
    ".ads": "ada",
    ".afm": "text",
    ".agda": "text",
    ".als": "text",
    ".OutJob": "ini",
    ".PcbDoc": "ini",
    ".PrjPCB": "ini",
    ".SchDoc": "ini",
    ".angelscript": "text",
    ".apacheconf": "apache_conf",
    ".vhost": "text",
    ".cls": "text",
    ".agc": "assembly_x86",
    ".applescript": "applescript",
    ".scpt": "applescript",
    ".arc": "text",
    ".asciidoc": "asciidoc",
    ".adoc": "asciidoc",
    ".aj": "text",
    ".asm": "assembly_x86",
    ".a51": "assembly_x86",
    ".i": "c_cpp",
    ".inc": "text",
    ".nasm": "assembly_x86",
    ".astro": "html",
    ".asy": "text",
    ".aug": "text",
    ".ahk": "autohotkey",
    ".ahkl": "autohotkey",
    ".au3": "autohotkey",
    ".avdl": "text",
    ".awk": "text",
    ".auk": "text",
    ".gawk": "text",
    ".mawk": "text",
    ".nawk": "text",
    ".bas": "text",
    ".bal": "text",
    ".bat": "batchfile",
    ".cmd": "batchfile",
    ".bf": "text",
    ".befunge": "text",
    ".bib": "tex",
    ".bibtex": "tex",
    ".bicep": "text",
    ".bison": "text",
    ".bb": "text",
    ".blade": "text",
    ".blade.php": "text",
    ".decls": "text",
    ".bmx": "text",
    ".bsv": "verilog",
    ".boo": "text",
    ".bpl": "text",
    ".b": "text",
    ".brs": "text",
    ".c": "c_cpp",
    ".cats": "c_cpp",
    ".h": "objectivec",
    ".idc": "c_cpp",
    ".cs": "text",
    ".cake": "coffee",
    ".csx": "csharp",
    ".linq": "csharp",
    ".cpp": "c_cpp",
    ".c++": "c_cpp",
    ".cc": "c_cpp",
    ".cp": "pascal",
    ".cxx": "c_cpp",
    ".h++": "c_cpp",
    ".hh": "php",
    ".hpp": "c_cpp",
    ".hxx": "c_cpp",
    ".inl": "c_cpp",
    ".ino": "c_cpp",
    ".ipp": "c_cpp",
    ".re": "rust",
    ".tcc": "c_cpp",
    ".tpp": "c_cpp",
    ".c-objdump": "assembly_x86",
    ".chs": "haskell",
    ".cil": "text",
    ".clp": "text",
    ".cmake": "text",
    ".cmake.in": "text",
    ".cob": "cobol",
    ".cbl": "cobol",
    ".ccp": "cobol",
    ".cobol": "cobol",
    ".cpy": "cobol",
    ".dae": "xml",
    ".cson": "coffee",
    ".css": "css",
    ".csv": "text",
    ".cue": "text",
    ".w": "text",
    ".cabal": "haskell",
    ".capnp": "text",
    ".mss": "text",
    ".ceylon": "text",
    ".chpl": "text",
    ".ch": "text",
    ".ck": "java",
    ".cirru": "cirru",
    ".clw": "text",
    ".asp": "text",
    ".icl": "text",
    ".dcl": "text",
    ".click": "text",
    ".clj": "clojure",
    ".boot": "clojure",
    ".cl2": "clojure",
    ".cljc": "clojure",
    ".cljs": "clojure",
    ".cljs.hl": "clojure",
    ".cljscm": "clojure",
    ".cljx": "clojure",
    ".hic": "clojure",
    ".soy": "soy_template",
    ".conllu": "text",
    ".conll": "text",
    ".ql": "text",
    ".qll": "text",
    ".coffee": "coffee",
    "._coffee": "coffee",
    ".cjsx": "coffee",
    ".iced": "coffee",
    ".cfm": "coldfusion",
    ".cfml": "coldfusion",
    ".cfc": "coldfusion",
    ".lisp": "lisp",
    ".asd": "lisp",
    ".cl": "c_cpp",
    ".l": "text",
    ".lsp": "lisp",
    ".ny": "lisp",
    ".podsl": "lisp",
    ".sexp": "lisp",
    ".cwl": "yaml",
    ".cps": "pascal",
    ".coq": "text",
    ".v": "verilog",
    ".cppobjdump": "assembly_x86",
    ".c++-objdump": "assembly_x86",
    ".c++objdump": "assembly_x86",
    ".cpp-objdump": "assembly_x86",
    ".cxx-objdump": "assembly_x86",
    ".creole": "text",
    ".cr": "ruby",
    ".orc": "csound_orchestra",
    ".udo": "csound_orchestra",
    ".csd": "csound_document",
    ".sco": "csound_score",
    ".cu": "c_cpp",
    ".cuh": "c_cpp",
    ".cy": "javascript",
    ".pyx": "text",
    ".pxd": "text",
    ".pxi": "text",
    ".d": "makefile",
    ".di": "d",
    ".d-objdump": "assembly_x86",
    ".com": "text",
    ".dm": "c_cpp",
    ".zone": "text",
    ".arpa": "text",
    ".dfy": "text",
    ".darcspatch": "text",
    ".dpatch": "text",
    ".dart": "dart",
    ".dwl": "text",
    ".dhall": "haskell",
    ".diff": "diff",
    ".patch": "diff",
    ".x": "c_cpp",
    ".dockerfile": "dockerfile",
    ".djs": "text",
    ".dylan": "text",
    ".dyl": "text",
    ".intr": "text",
    ".lid": "text",
    ".E": "text",
    ".eml": "text",
    ".mbox": "text",
    ".ebnf": "text",
    ".ecl": "prolog",
    ".eclxml": "text",
    ".ejs": "ejs",
    ".ect": "ejs",
    ".jst": "ejs",
    ".eq": "csharp",
    ".sch": "xml",
    ".brd": "text",
    ".eb": "python",
    ".epj": "json",
    ".edc": "c_cpp",
    ".e": "eiffel",
    ".ex": "elixir",
    ".exs": "elixir",
    ".elm": "elm",
    ".el": "lisp",
    ".emacs": "lisp",
    ".emacs.desktop": "lisp",
    ".em": "coffee",
    ".emberscript": "coffee",
    ".erl": "erlang",
    ".app.src": "erlang",
    ".es": "javascript",
    ".escript": "erlang",
    ".hrl": "erlang",
    ".xrl": "erlang",
    ".yrl": "erlang",
    ".fs": "glsl",
    ".fsi": "text",
    ".fsx": "text",
    ".fst": "text",
    ".flf": "text",
    ".fx": "text",
    ".flux": "text",
    ".factor": "text",
    ".fy": "text",
    ".fancypack": "text",
    ".fan": "text",
    ".dsp": "text",
    ".fnl": "text",
    ".f": "text",
    ".ftl": "ftl",
    ".for": "text",
    ".eam.fs": "text",
    ".fth": "forth",
    ".4th": "forth",
    ".forth": "forth",
    ".fr": "text",
    ".frt": "forth",
    ".f77": "text",
    ".fpp": "text",
    ".f90": "text",
    ".f03": "text",
    ".f08": "text",
    ".f95": "text",
    ".bi": "text",
    ".fut": "text",
    ".g": "text",
    ".cnc": "gcode",
    ".gco": "gcode",
    ".gcode": "gcode",
    ".gaml": "text",
    ".gms": "text",
    ".gap": "text",
    ".gd": "text",
    ".gi": "text",
    ".tst": "text",
    ".md": "markdown",
    ".gdb": "text",
    ".gdbinit": "text",
    ".ged": "text",
    ".glsl": "glsl",
    ".fp": "glsl",
    ".frag": "javascript",
    ".frg": "glsl",
    ".fsh": "glsl",
    ".fshader": "glsl",
    ".geo": "glsl",
    ".geom": "glsl",
    ".glslf": "glsl",
    ".glslv": "glsl",
    ".gs": "javascript",
    ".gshader": "glsl",
    ".shader": "text",
    ".tesc": "glsl",
    ".tese": "glsl",
    ".vert": "glsl",
    ".vrx": "glsl",
    ".vsh": "glsl",
    ".vshader": "glsl",
    ".gn": "python",
    ".gni": "python",
    ".gml": "xml",
    ".kid": "xml",
    ".ebuild": "sh",
    ".eclass": "sh",
    ".gbr": "text",
    ".cmp": "text",
    ".gbl": "text",
    ".gbo": "text",
    ".gbp": "text",
    ".gbs": "text",
    ".gko": "text",
    ".gpb": "text",
    ".gpt": "text",
    ".gtl": "text",
    ".gto": "text",
    ".gtp": "text",
    ".gts": "text",
    ".ncl": "xml",
    ".sol": "text",
    ".po": "text",
    ".pot": "text",
    ".feature": "text",
    ".story": "text",
    ".gitconfig": "ini",
    ".glf": "tcl",
    ".bdf": "text",
    ".gp": "text",
    ".gnu": "text",
    ".gnuplot": "text",
    ".p": "text",
    ".plot": "text",
    ".plt": "text",
    ".go": "golang",
    ".golo": "text",
    ".gst": "xml",
    ".gsx": "text",
    ".vark": "text",
    ".grace": "text",
    ".gradle": "text",
    ".gf": "haskell",
    ".graphql": "text",
    ".gql": "text",
    ".graphqls": "text",
    ".dot": "text",
    ".gv": "text",
    ".groovy": "groovy",
    ".grt": "groovy",
    ".gtpl": "groovy",
    ".gvy": "groovy",
    ".gsp": "jsp",
    ".cfg": "ini",
    ".hcl": "ruby",
    ".nomad": "ruby",
    ".tf": "ruby",
    ".tfvars": "ruby",
    ".workflow": "xml",
    ".hlsl": "text",
    ".cginc": "text",
    ".fxh": "text",
    ".hlsli": "text",
    ".html": "html",
    ".hta": "html",
    ".htm": "html",
    ".html.hl": "html",
    ".xht": "html",
    ".xhtml": "html",
    ".ecr": "text",
    ".eex": "text",
    ".html.leex": "text",
    ".erb": "text",
    ".erb.deface": "text",
    ".rhtml": "text",
    ".phtml": "php",
    ".cshtml": "razor",
    ".razor": "razor",
    ".http": "text",
    ".hxml": "text",
    ".hack": "php",
    ".hhi": "php",
    ".php": "php",
    ".haml": "haml",
    ".haml.deface": "haml",
    ".handlebars": "handlebars",
    ".hbs": "handlebars",
    ".hb": "text",
    ".hs": "haskell",
    ".hs-boot": "haskell",
    ".hsc": "haskell",
    ".hx": "haxe",
    ".hxsl": "haxe",
    ".q": "text",
    ".hql": "sql",
    ".hc": "c_cpp",
    ".hy": "text",
    ".pro": "text",
    ".dlm": "text",
    ".ipf": "text",
    ".ini": "ini",
    ".dof": "ini",
    ".lektorproject": "ini",
    ".prefs": "ini",
    ".properties": "properties",
    ".irclog": "text",
    ".weechatlog": "text",
    ".idr": "text",
    ".lidr": "text",
    ".gitignore": "gitignore",
    ".ijm": "text",
    ".ni": "text",
    ".i7x": "text",
    ".iss": "text",
    ".isl": "text",
    ".io": "io",
    ".ik": "text",
    ".thy": "text",
    ".ijs": "text",
    ".flex": "text",
    ".jflex": "text",
    ".json": "json",
    ".avsc": "json",
    ".geojson": "json",
    ".gltf": "json",
    ".har": "json",
    ".ice": "text",
    ".JSON-tmLanguage": "json",
    ".jsonl": "json",
    ".mcmeta": "json",
    ".tfstate": "json",
    ".tfstate.backup": "json",
    ".topojson": "json",
    ".webapp": "json",
    ".webmanifest": "json",
    ".yy": "text",
    ".yyp": "json",
    ".jsonc": "javascript",
    ".sublime-build": "javascript",
    ".sublime-commands": "javascript",
    ".sublime-completions": "javascript",
    ".sublime-keymap": "javascript",
    ".sublime-macro": "javascript",
    ".sublime-menu": "javascript",
    ".sublime-mousemap": "javascript",
    ".sublime-project": "javascript",
    ".sublime-settings": "javascript",
    ".sublime-theme": "javascript",
    ".sublime-workspace": "javascript",
    ".sublime_metrics": "javascript",
    ".sublime_session": "javascript",
    ".json5": "javascript",
    ".jsonld": "javascript",
    ".jq": "text",
    ".j": "text",
    ".java": "java",
    ".jav": "java",
    ".jsp": "jsp",
    ".js": "javascript",
    "._js": "javascript",
    ".bones": "javascript",
    ".cjs": "javascript",
    ".es6": "javascript",
    ".jake": "javascript",
    ".javascript": "javascript",
    ".jsb": "javascript",
    ".jscad": "javascript",
    ".jsfl": "javascript",
    ".jsm": "javascript",
    ".jss": "javascript",
    ".jsx": "javascript",
    ".mjs": "javascript",
    ".njs": "javascript",
    ".pac": "javascript",
    ".sjs": "javascript",
    ".ssjs": "javascript",
    ".xsjs": "javascript",
    ".xsjslib": "javascript",
    ".js.erb": "javascript",
    ".snap": "javascript",
    ".jinja": "django",
    ".j2": "django",
    ".jinja2": "django",
    ".jison": "text",
    ".jisonlex": "text",
    ".ol": "text",
    ".iol": "text",
    ".jsonnet": "text",
    ".libsonnet": "text",
    ".jl": "julia",
    ".ipynb": "json",
    ".krl": "text",
    ".ksy": "yaml",
    ".kak": "text",
    ".kicad_pcb": "lisp",
    ".kicad_mod": "lisp",
    ".kicad_wks": "lisp",
    ".kit": "html",
    ".kt": "text",
    ".ktm": "text",
    ".kts": "text",
    ".csl": "xml",
    ".lfe": "lisp",
    ".ll": "text",
    ".lol": "text",
    ".lsl": "lsl",
    ".lslp": "lsl",
    ".lvproj": "xml",
    ".lvlib": "xml",
    ".lark": "text",
    ".lasso": "text",
    ".las": "text",
    ".lasso8": "text",
    ".lasso9": "text",
    ".latte": "smarty",
    ".lean": "text",
    ".hlean": "text",
    ".less": "less",
    ".lex": "text",
    ".ly": "text",
    ".ily": "text",
    ".m": "objectivec",
    ".ld": "text",
    ".lds": "text",
    ".liquid": "liquid",
    ".lagda": "text",
    ".litcoffee": "text",
    ".coffee.md": "text",
    ".lhs": "text",
    ".ls": "text",
    "._ls": "livescript",
    ".xm": "text",
    ".xi": "text",
    ".lgt": "text",
    ".logtalk": "text",
    ".lookml": "yaml",
    ".model.lkml": "yaml",
    ".view.lkml": "yaml",
    ".lua": "lua",
    ".fcgi": "sh",
    ".nse": "lua",
    ".p8": "lua",
    ".pd_lua": "lua",
    ".rbxs": "lua",
    ".rockspec": "lua",
    ".wlua": "lua",
    ".mumps": "text",
    ".m4": "text",
    ".matlab": "matlab",
    ".ms": "assembly_x86",
    ".mcr": "text",
    ".mlir": "text",
    ".mq4": "c_cpp",
    ".mqh": "c_cpp",
    ".mq5": "c_cpp",
    ".mtml": "html",
    ".muf": "forth",
    ".m2": "text",
    ".mak": "makefile",
    ".make": "makefile",
    ".makefile": "makefile",
    ".mk": "makefile",
    ".mkfile": "makefile",
    ".mako": "text",
    ".mao": "text",
    ".markdown": "markdown",
    ".mdown": "markdown",
    ".mdwn": "markdown",
    ".mdx": "markdown",
    ".mkd": "markdown",
    ".mkdn": "markdown",
    ".mkdown": "markdown",
    ".ronn": "markdown",
    ".scd": "text",
    ".workbook": "markdown",
    ".marko": "text",
    ".mask": "yaml",
    ".mathematica": "text",
    ".cdf": "text",
    ".ma": "text",
    ".mt": "text",
    ".nb": "text",
    ".nbp": "text",
    ".wl": "text",
    ".wlt": "text",
    ".maxpat": "json",
    ".maxhelp": "json",
    ".maxproj": "json",
    ".mxt": "json",
    ".pat": "json",
    ".moo": "text",
    ".metal": "c_cpp",
    ".sln": "text",
    ".minid": "text",
    ".druby": "ruby",
    ".duby": "ruby",
    ".mirah": "ruby",
    ".mo": "text",
    ".i3": "text",
    ".ig": "text",
    ".m3": "text",
    ".mg": "text",
    ".mms": "text",
    ".mmk": "text",
    ".monkey": "text",
    ".monkey2": "text",
    ".moon": "text",
    ".s": "assembly_x86",
    ".x68": "assembly_x86",
    ".muse": "text",
    ".mustache": "smarty",
    ".myt": "text",
    ".nasl": "text",
    ".neon": "text",
    ".nl": "lisp",
    ".nsi": "text",
    ".nsh": "text",
    ".nss": "c_cpp",
    ".ne": "text",
    ".nearley": "text",
    ".n": "text",
    ".axs": "text",
    ".axi": "text",
    ".axs.erb": "text",
    ".axi.erb": "text",
    ".nlogo": "lisp",
    ".nf": "groovy",
    ".nginx": "text",
    ".nginxconf": "text",
    ".nim": "text",
    ".nim.cfg": "text",
    ".nimble": "text",
    ".nimrod": "text",
    ".nims": "text",
    ".ninja": "text",
    ".nit": "text",
    ".nix": "nix",
    ".nu": "scheme",
    ".numpy": "text",
    ".numpyw": "text",
    ".numsc": "text",
    ".njk": "nunjucks",
    ".ml": "text",
    ".eliom": "ocaml",
    ".eliomi": "ocaml",
    ".ml4": "ocaml",
    ".mli": "ocaml",
    ".mll": "ocaml",
    ".mly": "ocaml",
    ".objdump": "assembly_x86",
    ".odin": "text",
    ".mm": "xml",
    ".sj": "text",
    ".omgrofl": "text",
    ".opa": "text",
    ".opal": "text",
    ".rego": "text",
    ".opencl": "c_cpp",
    ".qasm": "text",
    ".scad": "scad",
    ".plist": "xml",
    ".glyphs": "text",
    ".fea": "text",
    ".org": "text",
    ".ox": "text",
    ".oxh": "text",
    ".oxo": "text",
    ".oxygene": "text",
    ".oz": "text",
    ".p4": "text",
    ".pegjs": "javascript",
    ".aw": "php",
    ".ctp": "php",
    ".php3": "php",
    ".php4": "php",
    ".php5": "php",
    ".phps": "php",
    ".phpt": "php",
    ".pls": "sql",
    ".bdy": "sql",
    ".ddl": "sql",
    ".fnc": "sql",
    ".pck": "sql",
    ".pkb": "sql",
    ".pks": "sql",
    ".plb": "sql",
    ".plsql": "sql",
    ".prc": "sql",
    ".spc": "sql",
    ".sql": "sql",
    ".tpb": "sql",
    ".tps": "sql",
    ".trg": "sql",
    ".vw": "sql",
    ".pgsql": "pgsql",
    ".pov": "text",
    ".pan": "text",
    ".psc": "text",
    ".parrot": "text",
    ".pasm": "text",
    ".pir": "text",
    ".pas": "pascal",
    ".dfm": "pascal",
    ".dpr": "pascal",
    ".lpr": "pascal",
    ".pascal": "pascal",
    ".pp": "text",
    ".pwn": "text",
    ".sma": "text",
    ".pep": "text",
    ".pl": "perl",
    ".cgi": "sh",
    ".perl": "perl",
    ".ph": "perl",
    ".plx": "perl",
    ".pm": "c_cpp",
    ".psgi": "perl",
    ".t": "text",
    ".pic": "text",
    ".chem": "text",
    ".pkl": "text",
    ".pig": "text",
    ".pike": "text",
    ".pmod": "text",
    ".puml": "text",
    ".iuml": "text",
    ".plantuml": "text",
    ".pod": "perl",
    ".pod6": "perl",
    ".pogo": "text",
    ".pony": "text",
    ".pcss": "text",
    ".postcss": "text",
    ".ps": "text",
    ".eps": "text",
    ".epsi": "text",
    ".pfa": "text",
    ".pbt": "text",
    ".sra": "text",
    ".sru": "text",
    ".srw": "text",
    ".ps1": "powershell",
    ".psd1": "powershell",
    ".psm1": "powershell",
    ".prisma": "text",
    ".pde": "text",
    ".prolog": "prolog",
    ".yap": "prolog",
    ".spin": "text",
    ".proto": "protobuf",
    ".pub": "text",
    ".jade": "jade",
    ".pug": "jade",
    ".pd": "text",
    ".pb": "text",
    ".pbi": "text",
    ".purs": "haskell",
    ".py": "python",
    ".gyp": "python",
    ".gypi": "python",
    ".lmi": "python",
    ".py3": "python",
    ".pyde": "python",
    ".pyi": "python",
    ".pyp": "python",
    ".pyt": "python",
    ".pyw": "python",
    ".rpy": "python",
    ".smk": "python",
    ".spec": "ruby",
    ".tac": "python",
    ".wsgi": "python",
    ".xpy": "python",
    ".pytb": "text",
    ".qs": "javascript",
    ".qml": "text",
    ".qbs": "text",
    ".pri": "text",
    ".r": "text",
    ".rd": "r",
    ".rsx": "r",
    ".raml": "yaml",
    ".rdoc": "rdoc",
    ".rbbas": "text",
    ".rbfrm": "text",
    ".rbmnu": "text",
    ".rbres": "text",
    ".rbtbar": "text",
    ".rbuistate": "text",
    ".rexx": "text",
    ".pprx": "text",
    ".rex": "text",
    ".rmd": "markdown",
    ".rnh": "text",
    ".rno": "text",
    ".rkt": "lisp",
    ".rktd": "lisp",
    ".rktl": "lisp",
    ".scrbl": "lisp",
    ".rl": "text",
    ".6pl": "perl",
    ".6pm": "perl",
    ".nqp": "perl",
    ".p6": "perl",
    ".p6l": "perl",
    ".p6m": "perl",
    ".pl6": "perl",
    ".pm6": "perl",
    ".raku": "perl",
    ".rakumod": "perl",
    ".rsc": "text",
    ".raw": "text",
    ".res": "xml",
    ".rei": "rust",
    ".reb": "text",
    ".r2": "text",
    ".r3": "text",
    ".rebol": "text",
    ".red": "text",
    ".reds": "text",
    ".cw": "text",
    ".regexp": "text",
    ".regex": "text",
    ".rs": "xml",
    ".rsh": "text",
    ".rtf": "text",
    ".ring": "text",
    ".riot": "html",
    ".robot": "text",
    ".roff": "text",
    ".1": "text",
    ".1in": "text",
    ".1m": "text",
    ".1x": "text",
    ".2": "text",
    ".3": "text",
    ".3in": "text",
    ".3m": "text",
    ".3p": "text",
    ".3pm": "text",
    ".3qt": "text",
    ".3x": "text",
    ".4": "text",
    ".5": "text",
    ".6": "text",
    ".7": "text",
    ".8": "text",
    ".9": "text",
    ".man": "text",
    ".mdoc": "text",
    ".me": "text",
    ".nr": "text",
    ".tmac": "text",
    ".rg": "clojure",
    ".rb": "ruby",
    ".builder": "ruby",
    ".eye": "ruby",
    ".gemspec": "ruby",
    ".god": "ruby",
    ".jbuilder": "ruby",
    ".mspec": "ruby",
    ".pluginspec": "xml",
    ".podspec": "ruby",
    ".prawn": "ruby",
    ".rabl": "ruby",
    ".rake": "ruby",
    ".rbi": "ruby",
    ".rbuild": "ruby",
    ".rbw": "ruby",
    ".rbx": "ruby",
    ".ru": "ruby",
    ".ruby": "ruby",
    ".thor": "ruby",
    ".watchr": "ruby",
    ".rs.in": "rust",
    ".sas": "text",
    ".scss": "scss",
    ".te": "text",
    ".smt2": "text",
    ".smt": "text",
    ".sparql": "text",
    ".rq": "text",
    ".sqf": "text",
    ".hqf": "text",
    ".cql": "sql",
    ".mysql": "sql",
    ".tab": "sql",
    ".udf": "sql",
    ".viw": "sql",
    ".db2": "sql",
    ".srt": "text",
    ".ston": "text",
    ".svg": "xml",
    ".sage": "python",
    ".sagews": "python",
    ".sls": "scheme",
    ".sass": "sass",
    ".scala": "scala",
    ".kojo": "scala",
    ".sbt": "scala",
    ".sc": "text",
    ".scaml": "text",
    ".scm": "scheme",
    ".sld": "scheme",
    ".sps": "scheme",
    ".ss": "scheme",
    ".sci": "text",
    ".sce": "text",
    ".self": "text",
    ".sh": "sh",
    ".bash": "sh",
    ".bats": "sh",
    ".command": "sh",
    ".env": "sh",
    ".ksh": "sh",
    ".sh.in": "sh",
    ".tmux": "sh",
    ".tool": "sh",
    ".zsh": "sh",
    ".sh-session": "sh",
    ".shen": "text",
    ".sieve": "text",
    ".sl": "text",
    ".slim": "text",
    ".cocci": "text",
    ".smali": "text",
    ".st": "html",
    ".tpl": "smarty",
    ".sp": "text",
    ".sfd": "yaml",
    ".nut": "c_cpp",
    ".stan": "text",
    ".fun": "text",
    ".sig": "text",
    ".sml": "text",
    ".bzl": "python",
    ".do": "text",
    ".ado": "text",
    ".doh": "text",
    ".ihlp": "text",
    ".mata": "text",
    ".matah": "text",
    ".sthlp": "text",
    ".styl": "stylus",
    ".sss": "text",
    ".svelte": "html",
    ".swift": "text",
    ".sv": "verilog",
    ".svh": "verilog",
    ".vh": "verilog",
    ".8xp": "text",
    ".8xk": "text",
    ".8xk.txt": "text",
    ".8xp.txt": "text",
    ".tla": "text",
    ".toml": "toml",
    ".tsv": "text",
    ".tsx": "xml",
    ".txl": "text",
    ".tcl": "tcl",
    ".adp": "tcl",
    ".tcl.in": "tcl",
    ".tm": "tcl",
    ".tcsh": "sh",
    ".csh": "sh",
    ".tex": "tex",
    ".aux": "tex",
    ".bbx": "tex",
    ".cbx": "tex",
    ".dtx": "tex",
    ".ins": "tex",
    ".lbx": "tex",
    ".ltx": "tex",
    ".mkii": "tex",
    ".mkiv": "tex",
    ".mkvi": "tex",
    ".sty": "tex",
    ".toc": "text",
    ".tea": "text",
    ".texinfo": "text",
    ".texi": "text",
    ".txi": "text",
    ".txt": "text",
    ".no": "text",
    ".textile": "textile",
    ".thrift": "text",
    ".tu": "text",
    ".ttl": "text",
    ".twig": "twig",
    ".tl": "text",
    ".ts": "xml",
    ".upc": "c_cpp",
    ".anim": "yaml",
    ".asset": "yaml",
    ".mat": "yaml",
    ".meta": "yaml",
    ".prefab": "yaml",
    ".unity": "yaml",
    ".uno": "csharp",
    ".uc": "java",
    ".ur": "text",
    ".urs": "text",
    ".frm": "text",
    ".frx": "text",
    ".vba": "text",
    ".vbs": "text",
    ".vcl": "text",
    ".vhdl": "vhdl",
    ".vhd": "vhdl",
    ".vhf": "vhdl",
    ".vhi": "vhdl",
    ".vho": "vhdl",
    ".vhs": "vhdl",
    ".vht": "vhdl",
    ".vhw": "vhdl",
    ".vala": "vala",
    ".vapi": "vala",
    ".vdf": "text",
    ".veo": "verilog",
    ".vim": "text",
    ".vmb": "text",
    ".snip": "text",
    ".snippet": "text",
    ".snippets": "text",
    ".vb": "text",
    ".vbhtml": "text",
    ".volt": "d",
    ".vue": "html",
    ".mtl": "text",
    ".obj": "text",
    ".owl": "xml",
    ".wast": "lisp",
    ".wat": "lisp",
    ".webidl": "text",
    ".vtt": "text",
    ".mediawiki": "text",
    ".wiki": "text",
    ".wikitext": "text",
    ".reg": "ini",
    ".wlk": "text",
    ".xbm": "c_cpp",
    ".xpm": "c_cpp",
    ".x10": "text",
    ".xc": "c_cpp",
    ".xml": "xml",
    ".adml": "xml",
    ".admx": "xml",
    ".ant": "xml",
    ".axml": "xml",
    ".builds": "xml",
    ".ccproj": "xml",
    ".ccxml": "xml",
    ".clixml": "xml",
    ".cproject": "xml",
    ".cscfg": "xml",
    ".csdef": "xml",
    ".csproj": "xml",
    ".ct": "xml",
    ".depproj": "xml",
    ".dita": "xml",
    ".ditamap": "xml",
    ".ditaval": "xml",
    ".dll.config": "xml",
    ".dotsettings": "xml",
    ".filters": "xml",
    ".fsproj": "xml",
    ".fxml": "xml",
    ".glade": "xml",
    ".gmx": "xml",
    ".grxml": "xml",
    ".iml": "xml",
    ".ivy": "xml",
    ".jelly": "xml",
    ".jsproj": "xml",
    ".kml": "xml",
    ".launch": "xml",
    ".mdpolicy": "xml",
    ".mjml": "xml",
    ".mxml": "xml",
    ".natvis": "xml",
    ".ndproj": "xml",
    ".nproj": "xml",
    ".nuspec": "xml",
    ".odd": "xml",
    ".osm": "xml",
    ".pkgproj": "xml",
    ".proj": "xml",
    ".props": "xml",
    ".ps1xml": "xml",
    ".psc1": "xml",
    ".pt": "xml",
    ".rdf": "xml",
    ".resx": "xml",
    ".rss": "xml",
    ".scxml": "xml",
    ".sfproj": "xml",
    ".shproj": "xml",
    ".srdf": "xml",
    ".storyboard": "xml",
    ".sublime-snippet": "xml",
    ".targets": "xml",
    ".tml": "xml",
    ".ui": "xml",
    ".urdf": "xml",
    ".ux": "xml",
    ".vbproj": "xml",
    ".vcxproj": "xml",
    ".vsixmanifest": "xml",
    ".vssettings": "xml",
    ".vstemplate": "xml",
    ".vxml": "xml",
    ".wixproj": "xml",
    ".wsdl": "xml",
    ".wsf": "xml",
    ".wxi": "xml",
    ".wxl": "xml",
    ".wxs": "xml",
    ".x3d": "xml",
    ".xacro": "xml",
    ".xaml": "xml",
    ".xib": "xml",
    ".xlf": "xml",
    ".xliff": "xml",
    ".xmi": "xml",
    ".xml.dist": "xml",
    ".xmp": "xml",
    ".xproj": "xml",
    ".xsd": "xml",
    ".xspec": "xml",
    ".xul": "xml",
    ".zcml": "xml",
    ".stTheme": "xml",
    ".tmCommand": "xml",
    ".tmLanguage": "xml",
    ".tmPreferences": "xml",
    ".tmSnippet": "xml",
    ".tmTheme": "xml",
    ".xsp-config": "xml",
    ".xsp.metadata": "xml",
    ".xpl": "xml",
    ".xproc": "xml",
    ".xquery": "xquery",
    ".xq": "xquery",
    ".xql": "xquery",
    ".xqm": "xquery",
    ".xqy": "xquery",
    ".xs": "c_cpp",
    ".xslt": "xml",
    ".xsl": "xml",
    ".xojo_code": "text",
    ".xojo_menu": "text",
    ".xojo_report": "text",
    ".xojo_script": "text",
    ".xojo_toolbar": "text",
    ".xojo_window": "text",
    ".xsh": "text",
    ".xtend": "text",
    ".yml": "yaml",
    ".mir": "yaml",
    ".reek": "yaml",
    ".rviz": "yaml",
    ".sublime-syntax": "yaml",
    ".syntax": "yaml",
    ".yaml": "yaml",
    ".yaml-tmlanguage": "yaml",
    ".yaml.sed": "yaml",
    ".yml.mysql": "yaml",
    ".yang": "text",
    ".yar": "text",
    ".yara": "text",
    ".yasnippet": "text",
    ".y": "text",
    ".yacc": "text",
    ".zap": "text",
    ".xzap": "text",
    ".zil": "text",
    ".mud": "text",
    ".zeek": "text",
    ".bro": "text",
    ".zs": "text",
    ".zep": "php",
    ".zig": "text",
    ".zimpl": "text",
    ".zmpl": "text",
    ".zpl": "text",
    ".desktop": "text",
    ".desktop.in": "text",
    ".dircolors": "text",
    ".ec": "text",
    ".eh": "text",
    ".edn": "clojure",
    ".fish": "text",
    ".mrc": "text",
    ".mcfunction": "text",
    ".mu": "text",
    ".nanorc": "text",
    ".nc": "text",
    ".ooc": "text",
    ".rst": "text",
    ".rest": "text",
    ".rest.txt": "text",
    ".rst.txt": "text",
    ".sed": "text",
    ".wdl": "text",
    ".wisp": "clojure",
    ".prg": "text",
    ".prw": "text",
}
